Bug 1911939 - hardware acceleration makes videos look pixelated and/or over-sharpened
Summary: hardware acceleration makes videos look pixelated and/or over-sharpened
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 33
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-01 20:41 UTC by itrymybest80
Modified: 2021-11-30 17:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 17:38:11 UTC
Type: Bug


Attachments (Terms of Use)
example (170.31 KB, image/jpeg)
2021-01-01 20:41 UTC, itrymybest80
no flags Details

Description itrymybest80 2021-01-01 20:41:58 UTC
Created attachment 1743722 [details]
example

Description of problem: videos look pixelated and/or over sharpened when hw acceleration is enabled.


I've provided you with an "example" picture of what it looks like with hw acceleration enabled (left) and disabled (right).


Version-Release number of selected component (if applicable):
gnome-shell-3.38.2-5.fc33.x86_64
wayland-1.18.0-1.fc33
vlc-3.0.12-1.fc33.x86_64
mesa-20.3.2-1.fc33


How reproducible: always.


Steps to Reproduce:
1. enable hw acceleration.
2. play a video.


Actual results: videos look "pixelated", or over sharpened with hw enabled.


Expected results: flawless video w/wo hw acceleration.


This is the closest thing I've found, while searching for an answer online, though most likely not related:
https://bbs.archlinux.org/viewtopic.php?id=261471
x86_64, PRIME Z270-A, i5-7600K, 16GB DDR4, AMD RX 580 8GB (MESA 20.3.2) & 970 EVO M.2.

Comment 1 itrymybest80 2021-01-01 21:18:26 UTC
As it turns out, it was a problem with VA-API, but disabling HW rendering or using VDPAU solved it, though I'm not sure what to make of it.

Comment 2 David Warner 2021-01-04 00:29:59 UTC
Mesa <20.3 had a bug (https://gitlab.freedesktop.org/mesa/mesa/-/issues/1193) that caused VA-API not to work at all in VLC when using the AMD driver.

Comment 3 David Warner 2021-01-04 01:01:50 UTC
For what it's worth, I can't repro this, though my environment is somewhat different:

Hardware: RX 5500 XT
Software:
- KDE 5.20.4/Qt 5.15.2
- X11
- vlc-3.0.12-1.fc33
- mesa-20.3.2-1.fc33

Re: VDPAU - I was under the impression that that was tied to X11 and didn't work under Wayland - can you confirm that it's working in VLC and not falling back to software rendering?
https://github.com/mpv-player/mpv/issues/6968

Comment 4 itrymybest80 2021-01-07 12:29:04 UTC
Thanks for pointing that out, it looks to be falling back to software and I noticed the same behaviour when selecting VA-API (drm).

Comment 5 Ben Cotton 2021-11-04 16:22:28 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2021-11-30 17:38:11 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.